/*
 * 
 */
public class Buf2Int {
	byte[] bb ;
	int[] ii ;
	
	public Buf2Int(byte[] b, int bbi) {
		bb = new byte[bbi];
		ii  = new int[bbi/2];
		for (int i = 0; i < bbi; i++) {
			bb[i]=b[i];
		}
	}

	public int unToBy(byte a)
	{
	    int b = a & 0xFF;
	    return b;
	}
	
	public int[] convert() {
		int c=0;
		for (int i = 0; i < ii.length; i++) {
			ii[i] = bb[c+1]*256 + unToBy(bb[c]);
			c+=2;
		}
		return ii;
	}
	

}
